FreeMat

- Main Page
- Related Pages

vtkThresholdPoints

Section: Visualization Toolkit Graphics Classes

# Usage

vtkThresholdPoints is a filter that extracts points from a dataset that satisfy a threshold criterion. The criterion can take three forms: 1) greater than a particular value; 2) less than a particular value; or 3) between a particular value. The output of the filter is polygonal data.

To create an instance of class vtkThresholdPoints, simply invoke its constructor as follows

      obj = vtkThresholdPoints

# Methods

The class vtkThresholdPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkThresholdPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkThresholdPoints = obj.NewInstance ()`
- `vtkThresholdPoints = obj.SafeDownCast (vtkObject o)`
- `obj.ThresholdByLower (double lower)` - Criterion is cells whose scalars are less or equal to lower threshold.
- `obj.ThresholdByUpper (double upper)` - Criterion is cells whose scalars are greater or equal to upper threshold.
- `obj.ThresholdBetween (double lower, double upper)` - Criterion is cells whose scalars are between lower and upper thresholds (inclusive of the end values).
- `obj.SetUpperThreshold (double )` - Set/Get the upper threshold.
- `double = obj.GetUpperThreshold ()` - Set/Get the upper threshold.
- `obj.SetLowerThreshold (double )` - Set/Get the lower threshold.
- `double = obj.GetLowerThreshold ()` - Set/Get the lower threshold.